=== debian/changelog ===
kexec-tools (1:2.0.6-0ubuntu2) trusty; urgency=medium

  * endianess-initrd.patch: Fix endian issues with initrd base and size.
  * stack-protection.patch: Disable stack-protector for ppc64/purgatory.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Apr 2014 15:27:06 +0100

kexec-tools (1:2.0.6-0ubuntu1) trusty; urgency=medium

  * New upstream release 2.0.6 with new ppc64el support (LP: #1300470):
    - kdump_makefile.patch: Dropped, no longer needed with new version.
    - kexec-p-fails-to-load-kernels-with-version-x.y.patch: Upstreamed.
    - format-security.patch: Fixing FTBFS with -Werror=format-security.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 31 Mar 2014 14:26:44 -0600

kexec-tools (1:2.0.4-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1271127), remaining changes:
    - Run aclocal during build; build-dep on automake.
    - Implementation of kdump-tools is now completed so the following are
      removed :
        kdump init script and initramfs snippet
        Remove dependancy to initramfs-tools and makedumpfile
        Remove Depend on makedumpfile (on appropriate architectures)
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile (claimed to be fixed in Debian but isn't).
    - Don't call db_stop from the postinst.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 21 Jan 2014 11:29:40 +0100

kexec-tools (1:2.0.4-1) unstable; urgency=low

  * New upstream release
  * Removed crashdump_warning.patch since it is in upstream now
  * Removed update_kexec_manpage.patch since it is in upstream now
  * Updated watch file to look for more extensions that tgz and tar.gz, as 
    suggested by someone on PTS
  * Added support for parallel make (closes: Bug#727130)
  * Added support for grub2's saved_entry (closes: Bug#699007)

 -- Khalid Aziz <khalid@debian.org>  Fri, 08 Nov 2013 16:38:16 -0700

kexec-tools (1:2.0.3-4ubuntu3) trusty; urgency=low

  * Increase memory parameter crashkernel command line to 128M to avoid 
    OOM kernel panic. (LP: #785394)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Wed, 18 Dec 2013 10:54:08 -0600

kexec-tools (1:2.0.3-4ubuntu2) trusty; urgency=low

  * Add "crashkernel=384M-2G:64M,2G-:128M" to GRUB command line for
    non-recovery entries.  This supersedes an Ubuntu-specific patch
    previously carried in grub2 itself.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Nov 2013 17:03:24 +0000

kexec-tools (1:2.0.3-4ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Run aclocal during build; build-dep on automake.
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Also call update-grub after update-initramfs if /boot/grub/grub.cfg
      exists.
    - Depend on makedumpfile (on appropriate architectures), for use in 
      the initramfs script.
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile (claimed to be fixed in Debian but isn't).
    - Don't call db_stop from the postinst.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 27 Oct 2013 21:45:21 -0700

kexec-tools (1:2.0.3-4) unstable; urgency=low

  * Drop the dependency on grub2 which is not quite right 
    (closes: Bug#717953, closes: Bug#718260)

 -- Khalid Aziz <khalid@debian.org>  Mon, 29 Jul 2013 08:16:59 -0600

kexec-tools (1:2.0.3-3) unstable; urgency=low

  * Fixed kexec-load init script to parse newer grub.cfg files correctly
    (closes: Bug#714016)
  * Replaced echo in kexec init script with printf to avoid bashism
    (closes: Bug#701551)
  * Fixed the "kexec -p" failure with kernel versions of the form x.y
    (closes: Bug#708034)
  * Updated japanese translation (Thank you Victory and Japanese Debian 
    Developers) (closes: Bug#717206)
  * Added mips and mipsel to supported architectures (closes: Bug#711274)

 -- Khalid Aziz <khalid@debian.org>  Thu, 25 Jul 2013 13:57:30 -0600

kexec-tools (1:2.0.3-2ubuntu2) saucy; urgency=low

  * Re-fix to not call db_stop from the postinst.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 May 2013 14:12:30 -0700

kexec-tools (1:2.0.3-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Run aclocal during build; build-dep on automake.
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Also call update-grub after update-initramfs if /boot/grub/grub.cfg
      exists.
    - Depend on makedumpfile (on appropriate architectures), for use in 
      the initramfs script.
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile (claimed to be fixed in Debian but isn't).
  * Dropped changes:
    - restore debian/README.debian, dropped accidentally
    - debian/patches/ubuntu-ppc-__lshrdi3-ftbs.patch: no longer needed to
      fix FTBFS on powerpc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2013 18:05:05 -0700

kexec-tools (1:2.0.3-2) unstable; urgency=low

  * Changed the default for kexec to not be enabled, and changed the 
    priority of debconf question for enabling kexec by default to
    high (closes: Bug#638261)
  * Handle the case of a separate /boot partition (closes: Bug#687956)
  * Updated to use hardening rules
  * Added full path to the calls to kexec in init scripts to make sure 
    it works reliably.
  * Added code to clear screen before rebooting (closes: Bug#606955)

 -- Khalid Aziz <khalid@debian.org>  Sun, 13 Jan 2013 19:39:31 -0700

kexec-tools (1:2.0.3-1ubuntu2) quantal; urgency=low

  [ Louis Bouchard ]
  * Removed dependency to vmcoreinfo which is no longer required
    and no longer part of the kernel package.  LP: #988512.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Aug 2012 12:48:22 -0700

kexec-tools (1:2.0.3-1ubuntu1) quantal; urgency=low


