## kexec-tools 2.0.7

=== debian/changelog ===
kexec-tools (1:2.0.7-5) unstable; urgency=medium

  * Deleted the extra "-x" from "#!/bin/sh -x" in kexec-load init
    script (closes: Bug#770792)

 -- Khalid Aziz <khalid@debian.org>  Mon, 24 Nov 2014 07:35:39 -0700

kexec-tools (1:2.0.7-4) unstable; urgency=medium

  * Changed the way systemd presence is detected to make shutdown more
    reliable (closes: Bug#766338, closes: Bug#767449)

 -- Khalid Aziz <khalid@debian.org>  Mon, 03 Nov 2014 16:37:53 -0700

kexec-tools (1:2.0.7-3) unstable; urgency=medium

  * Fixed kexec-load init script so it will detect systemd
    vs initV and load kexec kernel correctly (closes: Bug#764626)
  * Added architecture ppc64el and started using dh_autoreconf
    (closes: Bug#762628)

 -- Khalid Aziz <khalid@debian.org>  Fri, 10 Oct 2014 10:14:58 -0600

kexec-tools (1:2.0.7-2) unstable; urgency=medium

  * Fix build failure on ppc (closes: Bug#754609)
  * Replaced s390 arch with s390x (closes: Bug#729451)
  * Added patch from Roland to support powerpcspe (closes: Bug#734697)
  * Added support for systemd (closes: Bug#764360, closes: Bug#699008)
  * Enhanced kexec init scripts to work with systemd as well and now
    "sudo reboot" from an X11 terminal works (closes: Bug#747119)
  * Includes upstream fix to align initrd_base address to pagesize
    (closes: Bug#756127)
  * Added Turkish translation (closes: Bug#757510)

 -- Khalid Aziz <khalid@debian.org>  Wed, 08 Oct 2014 11:01:58 -0600

kexec-tools (1:2.0.7-1) unstable; urgency=low

  * New upstream release. Refreshed patches to apply without offsets
  * Stopped passing start/stop to update-rc.d
  * Includes fix for multiboot image booting bug from upstream 
    (closes: Bug#735360)

 -- Khalid Aziz <khalid@debian.org>  Wed, 09 Jul 2014 10:44:35 -0600
