=== debian/changelog ===
kexec-tools (1:2.0.10-1ubuntu2) xenial; urgency=medium

  * [PowerPC64] Fix failure in purgatory when compiled with gcc5
    Application of upstream fixes so kexec-tools work with gcc5 on PowerPC64

    commit 4a2ae3a39c64dc43e9d094be9541253234ff4822,
    1e423dc297d10eb7ff25c829d2856ef12fc81d77,
    3debb8cf3272216119cb2e59a4963ce3c18fe8e3
    [lp: #1546260]
   
 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 05 Apr 2016 11:14:18 +0200

kexec-tools (1:2.0.10-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 03 Dec 2015 14:44:30 -0600

kexec-tools (1:2.0.10-1) unstable; urgency=medium

  * New upstream release (Closes: #791942)
  * Updated distclean_fix.patch to account for new files that need to
    be cleaned up

 -- Khalid Aziz <khalid@debian.org>  Mon, 14 Sep 2015 13:30:53 -0600

kexec-tools (1:2.0.9-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 26 Jun 2015 15:05:43 -0500

kexec-tools (1:2.0.9-1) unstable; urgency=medium

  * New upstream release

 -- Khalid Aziz <khalid@debian.org>  Mon, 15 Jun 2015 10:38:00 -0600

kexec-tools (1:2.0.7-5.1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch
    - Patches to enable kexec-tool for ppc64el.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 11 Jun 2015 08:41:28 -0500

kexec-tools (1:2.0.7-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't reboot the machine while removing the package (Closes: #782033)
  * Fix loading kdump kernel on i386 (Closes: #771671)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 22 Apr 2015 12:04:44 +0200

kexec-tools (1:2.0.7-5ubuntu2) vivid; urgency=medium

  * Adjust kexec-tools for systems that use vmlinux. (LP: #1416515) 

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 30 Jan 2015 14:31:10 -0600

kexec-tools (1:2.0.7-5ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch
    - Patches to enable kexec-tool for ppc64el.

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 02 Dec 2014 11:43:21 -0600

kexec-tools (1:2.0.7-4ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Use format-security.patch instead of const_string_warning.patch
    - Patches to enable kexec-tool for ppc64el.

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 04 Nov 2014 12:51:24 -0600

kexec-tools (1:2.0.7-1ubuntu2) utopic; urgency=medium

  * The following enable kexec-tools for ppc64el: (LP: #1364427)
    - kexec-ppc64-disabling-exception-handling-when-buildi.patch
    - kexec-ppc64-move-to-device-tree-version-17.patch
    - ppc64-kdump-Fix-ELF-header-endianess.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 02 Oct 2014 21:38:53 +0000

kexec-tools (1:2.0.7-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run aclocal during build; build-dep on automake.
    - Add and install kdump init script and initramfs snippet; depend on
      initramfs-tools and call update-initramfs.
    - Call to update-grub to update boot args with crashkernel=
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Add ppc64el architecture.
    - Use format-security.patch instead of const_string_warning.patch
    - Dropped:
       - kexec-p-fails-to-load-kernels-with-version-x.y.patch
       - kdump_makefile.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 02 Oct 2014 15:06:12 -0500
