=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Homepage: http://kernel.org/pub/linux/utils/kernel/kexec/
 Priority: optional
-Maintainer: Khalid Aziz <khalid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Khalid Aziz <khalid@debian.org>
 Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf
 Standards-Version: 3.9.6
