=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,14 @@
 	CFLAGS += -O2
 endif
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
 configure: configure-stamp
 configure-stamp: 
 	dh_testdir
 	# Add here commands to configure the package.
 	dh_autoreconf
 	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" ./configure --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share
-
 	touch configure-stamp
 
 
@@ -66,6 +67,10 @@
 
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/kexec-tools
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64 powerpc ppc64 ppc64el ia64))
+	install -m644 debian/kexec-tools.grub \
+		debian/kexec-tools/etc/default/grub.d/kexec-tools.cfg
+endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	[ ! -f $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static ] || strip $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static
 endif
