=== debian/watch ===
version=3
http://kernel.org/pub/linux/utils/kernel/kexec/kexec-tools-(.*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
