=== debian/changelog ===
kexec-tools (1:2.0.14-1) unstable; urgency=medium

  * New upstream release
  * Removed the patch lp1546260-fix-purgatory-fail-gcc5.patch which
    has been accepted into this upstream version
  * Updated Danish translation (Closes: #830594)
  * Updated Brazilian Portuguese translation (Closes: #852445)
  * Enabled build for arm64 (Closes: #791943)
  * Fix FTCBFS: Invoke configure script through dh_auto_configure
    in debian/rules (Closes: #850875)
  * Added patch to add -fno-PIC to purgatory/arch/arm64/Makefile to
    enable build on arm64

 -- Khalid Aziz <khalid@debian.org>  Wed, 25 Jan 2017 12:36:57 -0700

kexec-tools (1:2.0.12-1) unstable; urgency=medium

  * New upstream release
  * Upstream release no longer uses build date in version
    (Closes: #783239)
  * Fix kexec failures when compiled with gcc > v5 (Closes: #825189)
  * Add support for scripts in /etc/defauls/kexec.d (Closes: #752790)
  * Update japaneses translation (Closes: #819601)
  * Update french translation (Closes: #821073)
  * Update dutch translation (Closes: #821441)

 -- Khalid Aziz <khalid@debian.org>  Fri, 24 Jun 2016 14:22:01 -0600

kexec-tools (1:2.0.10-2) unstable; urgency=medium

  * Fix for systemd bug, many thanks to Thomas Stangner. systemd users
    must use "systemctl kexec" for a kexec reboot (Closes: #785714)
  * Added -f option to update-rc.d in preinstall script (Closes: #807018)
  * Updated code for USE_GRUB_CONFIG to work with new grub.cfg format which
    also is back to using entry number for saved_entry (Closes: #766367)
  * Changed the location of flag file for cold reboot to a safer location
    (Closes : #766772)
  * Added mips64 and mips64el to supported arches (Closes: #800953,
    Closes: #809220)
  * Make the package build reproducibly (Closes: #783239)
  * Add Brazilian Portuguese debconf templates translation (Closes: #811512)

 -- Khalid Aziz <khalid@debian.org>  Tue, 22 Mar 2016 17:27:30 -0600
