## kexec-tools 2.0.15

=== debian/changelog ===
kexec-tools (1:2.0.15-0ubuntu1) artful; urgency=medium

  * New upstream version (LP: #1713940):
    - Modified:
      - distclean_fix.patch
        Hunk which modified purgatory makefile went upstream
    - Dropped (already upstream):
      - format-security.patch
      - kexec-Increase-the-upper-limit-for-RAM-segments.patch
      - ppc64-Reduce-number-of-ELF-LOAD-segments.patch
      - 0001-kexec-extend-the-semantics-of-kexec_iomem_for_each_l.patch
      - 0002-kexec-generalize-and-rename-get_kernel_stext_sym.patch
      - 0003-arm64-identify-PHYS_OFFSET-correctly.patch
      - 0004-arm64-change-return-values-on-error-to-negative.patch
      - 0005-arm64-kdump-identify-memory-regions.patch
      - 0006-arm64-kdump-add-elf-core-header-segment.patch
      - 0007-arm64-kdump-set-up-kernel-image-segment.patch
      - 0008-arm64-kdump-set-up-other-segments.patch
      - 0009-arm64-kdump-add-DT-properties-to-crash-dump-kernel-s.patch
      - 0010-arm64-kdump-Add-support-for-binary-image-files.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 30 Aug 2017 10:02:25 +0200

kexec-tools (1:2.0.14-1ubuntu5) artful; urgency=medium

  * Packaging cleanup, no functional change:
    - Remove patch accidentally added, but not applied, in last upload:
      0011-Handle-additional-e820-memmap-type-strings.patch.
    - Remove patch dropped from series in 2.0.14-1, but still being
      carried after Ubuntu merge: lp1546260-fix-purgatory-fail-gcc5.patch.

 -- dann frazier <dannf@ubuntu.com>  Fri, 09 Jun 2017 09:58:43 -0600

kexec-tools (1:2.0.14-1ubuntu4) artful; urgency=medium

  * Add backport of upstream arm64 crashdump support (LP: #1694859).

 -- dann frazier <dannf@ubuntu.com>  Thu, 08 Jun 2017 17:18:49 -0600

kexec-tools (1:2.0.14-1ubuntu3) zesty; urgency=medium

  * kexec: Increase the upper limit for RAM segments (LP: #1663400)

 -- Manoj Iyer <manoj.iyer@canonical.com>  Tue, 14 Feb 2017 14:00:14 +0000

kexec-tools (1:2.0.14-1ubuntu2) zesty; urgency=medium

  [ Manoj Iyer ]
  * Enable compressed kernel support for ARM64 (LP: #1661363).

  [ dann frazier ]
  * ppc64-Reduce-number-of-ELF-LOAD-segments.patch: Cherry-pick
    from upstream, fixing kexec on some large memory configurations
    (LP: #1661168).

 -- dann frazier <dannf@ubuntu.com>  Fri, 03 Feb 2017 14:49:31 -0700

kexec-tools (1:2.0.14-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Adjust INITCONFFILE to vmlinux if used
    - Use format-security.patch instead of const_string_warning.patch
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg has been removed.
      Handle it properly
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, this package takes
       over the addition of crashkernel= parameter which has
       been removed from kexec-tools.
       Make sure that it is upgraded accordingly.
  * Debian merge adds arm64 support (LP: #1659618).

 -- dann frazier <dannf@ubuntu.com>  Wed, 01 Feb 2017 12:48:15 -0700

kexec-tools (1:2.0.10-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.(LP: #1587479)  Remaining changes:
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Adjust INITCONFFILE to vmlinux if used
    - Use format-security.patch instead of const_string_warning.patch
    - Drop unneeded patches (all fixed upstream and not in series) :
       d/p/fix-callback-functions-given-to-kexec_iomem_for_each_line.patch
       d/p/kdump_makefile.patch
       d/p/kexec-p-fails-to-load-kernels-with-version-x.y.patch
    - [PowerPC64] Fix failure in purgatory when compiled with gcc5
       Application of upstream fixes so kexec-tools work with gcc5 on PowerPC64
       commit 4a2ae3a39c64dc43e9d094be9541253234ff4822,
       1e423dc297d10eb7ff25c829d2856ef12fc81d77,
       3debb8cf3272216119cb2e59a4963ce3c18fe8e3
  * New changes:
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg has been removed.
      Handle it properly
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, this package takes
       over the addition of crashkernel= parameter which has
       been removed from kexec-tools.
       Make sure that it is upgraded accordingly.
  * Dropped changes from previous merge
    - Add and install kdump init script and initramfs snippet :
      kdump script in initramfs replaced by kexec-tools long ago
    - Call to update-grub to update boot args with crashkernel= :
      Now handled by kexec-tools (>= 1:1.5.9-6)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 02 Jun 2016 13:22:49 +0200
